$('#profesores').select2({});

var HorariosTable = $('#table_gestion_profesor').DataTable({
    "language": {
        "sProcessing":     "Procesando...",
        "sLengthMenu":     "Mostrar _MENU_ registros",
        "sZeroRecords":    "No se encontraron resultados",
        "sEmptyTable":     "No existen registros de Horarios para el periodo academico",
        "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
        "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
        "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
        "sInfoPostFix":    "",
        "sSearch":         "Busqueda avanzado por código, nombre del curso o sección:",
        "sUrl":            "",
        "sInfoThousands":  ",",
        "sLoadingRecords": "Cargando...",
        "oPaginate": {
            "sFirst":    "Primero",
            "sLast":     "Último",
            "sNext":     "Siguiente",
            "sPrevious": "Anterior"
        },
        "oAria": {
            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
        }
    },
    processing: true,
    serverSide: true,
    destroy: true,
    responsive:true,
    "autoWidth": true,
    ajax:{
        method: 'POST',
        url: urlData,
        data: function(d){
            d.id_c = 1
        },
        error: function(error){
        }
    },
    columns:[
        {
            data:'id',
            name:'id',
            "searchable": false,
            render: function (data,type,row) {
                return '<td><div class="mt-radio-inline"><label class="mt-radio">'
                +'<input type="radio" name="horario_reasignacion" data-nombre="'+row.nombre_seccion+'" value="'+data+'"><span></span>'
                + '</label></div></td>';
            }
        },
        {
            data:'codigo',
            name:'codigo',
            "searchable": true
        },
        {
            data:'nombre',
            name:'nombre',
            "searchable": true
        },
        {
            data:'nombre_seccion',
            name:'nombre_seccion',
            "searchable": true
        },
        {
            data:'completo',
            name:'completo',
            "searchable": true
        },
        {
            data:'id',
            name:'id',
            "searchable": true,
            render: function(data,type,row){
                return '<td><button class="vmas btn btn-primary waves-effect waves-light m-t-10 detalle"' +
                    'data-detalle="'+data+'"><i class="icon-pencil"></i></button></td>';
            }
        }
    ],
    "pageLength": 8,
    "columnDefs": [{
        'orderable': false,
        "visible": false,
        'targets': []
    }, {
        "searchable": true,
        "targets": [2,3]
    }],
    "bInfo": false,
    "bLengthChange": false,
    "ordering": false
});


function tableRefresh() {
    HorariosTable.draw();
}

$('#table_gestion_profesor').on('click','.detalle', function () {
    var aux = $(this);
    var id = aux.data('detalle');
    aux.prop('disabled', true);
    aux.blur();
    $.ajax({
        url: urlBase + "/vista",
        type: 'POST',
        data: {id: id},
        cache: false,
        success: function (result) {
            $('.modal-content').html(result);
            $('#detalle_datos').modal({
                show: true
            });
        },
        complete: function () {
            aux.removeAttr("disabled");
            aux.prop('disabled', false);
        }
    });
    return false;
});





$("#form-solicitud").validate({
    submitHandler: function (form) {


        var g = $("input:radio[name=horario_reasignacion]:checked").data('nombre');
        var u = $("#profesores option:selected").html();


        if(u == "Seleccione"){
            swal("Advertencia", "Debe selecionar el profesor a reasignar", "warning");
            return false;
        }

        if(typeof(g) === "undefined"){
            swal("Advertencia", "Debe selecionar por lo menos una sección a reasignar", "warning");
            return false;
        }

        if((typeof(g) !== "undefined") && (u != "Seleccione")){
            swal({
                title: "¡ Reasignación de sección !",
                text: "Se asignará al nuevo docente: "+u+" a la sección: "+g,
                type: "info",
                confirmButtonText:"Confirmar",
                cancelButtonText:"Cancelar",
                showCancelButton: true,
                closeOnConfirm: false,
                showLoaderOnConfirm: true
            }, function () {

                $.ajax({
                    url: $(form).attr('action'),
                    type: "POST",
                    data: $(form).serialize(),
                    cache: false,
                    dataType: 'html',
                    processData: false,
                    success: function(data) {
                        if(data == 200){
                            setTimeout(function () {
                                swal("Se asignó al profesor: "+u+" para la sección: "+g+" correctamente.");
                                tableRefresh();
                            }, 2000);
                        }
                        else{
                            setTimeout(function () {
                                swal("Se presento un error de conexión con el servidor de la institución");
                            }, 2000);
                        }
                    },
                    error: function(data) {
                    },
                    complete: function(data) {
                    }
                });


            });
        }
        else{
            return false;
        }





    }
});
//
//
// $(".solicitar").on('click',function () {
//
//
//
// });